{
  "name": "renai",
  "version": "1.0.0",
  "description": "Hentai Library Thingy",
  "private": true,
  "author": "Xymorot",
  "main": "src/main.js",
  "scripts": {
    "postinstall": "npm run rebuild",
    "start": "electron . --enable-logging",
    "rebuild": "electron-rebuild -f -b -t prod,dev,optional",
    "typeorm:migrate": "npm run typeorm:migrate:library",
    "typeorm:migrate:library": "typeorm migration:run -c library",
    "watch": "gulp build --watch --dev",
    "build": "gulp build",
    "test:before": "node tests/setup/before.js",
    "test:after": "node tests/setup/after.js",
    "test:fast": "npm run test:before && mocha --grep @slow --invert && npm run test:after",
    "test": "npm run test:before && mocha && npm run test:after",
    "coverage:fast": "nyc npm run test:fast",
    "coverage": "nyc npm run test",
    "lint:check": "npm run eslint:check && npm run tslint:check",
    "lint": "npm run eslint && npm run tslint",
    "lint:fix": "npm run eslint:fix && npm run tslint:fix",
    "eslint:check": "eslint --print-config gulpfile.js | eslint-config-prettier-check",
    "eslint": "eslint .",
    "eslint:fix": "eslint . --fix",
    "tslint:check": "tslint-config-prettier-check ./tslint.json",
    "tslint": "tslint -p tsconfig.json -t stylish",
    "tslint:fix": "tslint -p tsconfig.json --fix",
    "prettier": "prettier --ignore-path .gitignore -c **/*.{html,handlebars,json,{c,sc,sa,le}ss,yml,svelte,md,ts,js}",
    "prettier:fix": "prettier --ignore-path .gitignore --write **/*.{html,handlebars,json,{c,sc,sa,le}ss,yml,svelte,md,ts,js}",
    "fix": "npm run lint:check && npm run lint:fix && npm run prettier:fix",
    "forge:start": "electron-forge start",
    "forge:make": "electron-forge --platform win32 --arch x64 make",
    "forge": "npm run build && npm run forge:make",
    "precommit": "npm run build && npm run prettier && npm run lint:check && npm run lint && npm run coverage:fast",
    "prepush": "npm run coverage"
  },
  "dependencies": {
    "fs-extra": "^8.1.0",
    "jsdom": "^15.2.1",
    "node-fetch": "^2.6.0",
    "sqlite3": "^4.1.0",
    "typeorm": "^0.2.20",
    "uuid": "^3.3.3"
  },
  "devDependencies": {
    "@electron-forge/cli": "^6.0.0-beta.45",
    "@electron-forge/maker-squirrel": "^6.0.0-beta.45",
    "@types/chai": "^4.2.5",
    "@types/fs-extra": "^8.0.1",
    "@types/gulp": "^4.0.6",
    "@types/jsdom": "latest",
    "@types/minimist": "latest",
    "@types/mocha": "latest",
    "@types/node": "^12.12.11",
    "@types/node-fetch": "^2.5.3",
    "@types/sinon": "^7.5.1",
    "@types/webdriverio": "^4.13.3",
    "@types/webpack": "^4.41.0",
    "chai": "^4.2.0",
    "electron": "^6.1.4",
    "electron-rebuild": "^1.8.8",
    "eslint": "^6.6.0",
    "eslint-config-prettier": "^6.7.0",
    "fast-check": "^1.19.0",
    "gulp": "^4.0.2",
    "gulp-cli": "^2.2.0",
    "handlebars": "^4.5.3",
    "husky": "^3.1.0",
    "minimist": "^1.2.0",
    "mocha": "^6.2.2",
    "nock": "^11.7.0",
    "nyc": "^14.1.1",
    "prettier": "^1.19.1",
    "rewiremock": "^3.13.9",
    "sinon": "^7.5.0",
    "spectron": "^8.0.0",
    "svelte": "^3.15.0",
    "svelte-loader": "^2.13.6",
    "ts-loader": "^6.2.1",
    "tslint": "^5.20.1",
    "tslint-config-prettier": "latest",
    "typescript": "^3.7.2",
    "webpack": "^4.41.2",
    "webpack-cli": "^3.3.10",
    "webpack-stream": "^5.2.1"
  },
  "config": {
    "forge": "forge.config.js"
  },
  "husky": {
    "hooks": {
      "pre-commit": "npm run precommit",
      "pre-push": "npm run prepush"
    }
  }
}
